# Uses of Enum
org.eclipse.microprofile.fault.tolerance.tck.metrics.common.CircuitBreakerMetricBean.Result

Packages that use CircuitBreakerMetricBean.Result
Package
Description
org.eclipse.microprofile.fault.tolerance.tck.metrics.common

## Uses of CircuitBreakerMetricBean.Result in org.eclipse.microprofile.fault.tolerance.tck.metrics.common

Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.common that return CircuitBreakerMetricBean.Result
Modifier and Type
Method
Description
`static CircuitBreakerMetricBean.Result`
CircuitBreakerMetricBean.Result.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CircuitBreakerMetricBean.Result[]`
CircuitBreakerMetricBean.Result.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.fault.tolerance.tck.metrics.common with parameters of type CircuitBreakerMetricBean.Result
Modifier and Type
Method
Description
`void`
CircuitBreakerMetricBean.`doWork(CircuitBreakerMetricBean.Result result)`